include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kvoctrain/kvoctrain/kvt-core
  ${CMAKE_BINARY_DIR}/kvoctrain/kvoctrain/common-dialogs
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### docpropdlg (static)

tde_add_library( docpropdlg STATIC_PIC AUTOMOC

  SOURCES
        TitlePageForm.ui
        TypeOptPageForm.ui
        TenseOptPageForm.ui
        UsageOptPageForm.ui
        LessOptPageForm.ui
        DocOptionsPageForm.ui
        LangPropPageForm.ui
        TitlePage.cpp
        TypeOptPage.cpp
        TenseOptPage.cpp
        UsageOptPage.cpp
        LessOptPage.cpp
        DocOptionsPage.cpp
        LangPropPage.cpp
        DocPropDlg.cpp
        DocPropLangDlg.cpp
        
   DEPENDENCIES
        commondlg-static
)
